#1108 access denied after upgrade to 1.3.39

1.3
closed-fixed
nobody
1.3-only (2)
5
2014-08-25
2014-04-12
Mark Deason
No

after upgrade to 1.3.39
chart of accounts report
choose an account
click on ref link of any specific transaction
get Access Denied, More information has been reported in the error logs...
Here is the Apache error log...
2014/04/11 16:58:07 - ERROR - LedgerSMB::dberror LedgerSMB.pm (1102) -- Logging SQL State 42501, error 7, string ERROR: permission denied for relation file_links
CONTEXT: SQL function "filelist_links" statement 1
Died at LedgerSMB.pm line 954.
Compilation failed in require at /usr/share/ledgersmb/gl.pl line 7.
[Fri Apr 11 16:58:07.955604 2014] [autoindex:error] [pid 494:tid 4006546240] [client 24.20.88.17:50937] AH01276: Cannot serve directory /usr/share/ledgersmb/css/: No matching DirectoryIndex (index.html,index.cgi,index.pl,index.php,index.xhtml,index.htm) found, and server-generated directory index forbidden by Options directive, referer: https://cultus.visionary-networks.com/ledgersmb/gl.pl?action=edit&id=41&path=bin/mozilla&login=test&sessionid=&callback=gl.pl%3faction%3dgenerate_report%26account%3d%26direction%3dDESC%26oldsort%3dtransdate%26path%3dbin%2fmozilla%26login%3dtest%26sessionid%3d%26l_transdate%3dY%26l_reference%3dY%26l_description%3dY%26l_source%3dY%26l_cleared%3dY%26l_debit%3dY%26l_credit%3dY%26l_balance%3dY%26category%3dA%26sort%3dtransdate
2014/04/11 16:59:50 - INFO - LedgerSMB::new -- setting dbh from argstr $self->{dbh}=DBI::db=HASH(0xa193334)
DBD::Pg::st execute failed: ERROR: permission denied for relation file_links
CONTEXT: SQL function "file
list_links" statement 1 at LedgerSMB.pm line 834.
2014/04/11 16:59:50 - ERROR - LedgerSMB::dberror LedgerSMB.pm (1102) -- Logging SQL State 42501, error 7, string ERROR: permission denied for relation file_links
CONTEXT: SQL function "file__list_links" statement 1
Died at LedgerSMB.pm line 954.
Compilation failed in require at /usr/share/ledgersmb/gl.pl line 7.
[Fri Apr 11 16:59:50.361702 2014] [autoindex:error] [pid 494:tid 3964582720] [client 24.20.88.17:50945] AH01276: Cannot serve directory /usr/share/ledgersmb/css/: No matching DirectoryIndex (index.html,index.cgi,index.pl,index.php,index.xhtml,index.htm) found, and server-generated directory index forbidden by Options directive, referer: https://cultus.visionary-networks.com/ledgersmb/gl.pl?action=edit&id=41&path=bin/mozilla&login=test&sessionid=&callback=gl.pl%3faction%3dgenerate_report%26account%3d%26direction%3dDESC%26oldsort%3dtransdate%26path%3dbin%2fmozilla%26login%3dtest%26sessionid%3d%26l_transdate%3dY%26l_reference%3dY%26l_description%3dY%26l_source%3dY%26l_cleared%3dY%26l_debit%3dY%26l_credit%3dY%26l_balance%3dY%26category%3dA%26sort%3dtransdate

Discussion

  • Erik Huelsmann

    Erik Huelsmann - 2014-04-27

    Hi Chris,

    Is it an option NOT to drop the view, but instead using "CREATE OR REPLACE" instead? That shouldn't drop the permissions and keep any custom permissions, if applicable.

    Erik.

     
  • Erik Huelsmann

    Erik Huelsmann - 2014-05-31
    • labels: --> 1.3-only
     
  • Chris Travers

    Chris Travers - 2014-08-25
    • status: open --> closed-fixed
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks